> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 処理トランザクションを作成します

> 複数のファイルを処理するためのトランザクションを作成します。



## OpenAPI

````yaml /ja/openapi.json post /api/publicapi/v1/transactions
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions:
    post:
      tags:
        - Transactions
      summary: 処理トランザクションを作成します
      description: 複数のファイルを処理するためのトランザクションを作成します。
      operationId: CreateTransaction
      requestBody:
        content:
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/json-patch+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
          description: トランザクションが正常に作成されました
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 一部の Parameter が不正です
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 指定された skillId の Skill が見つからないか、公開されていません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest:
      additionalProperties: false
      description: トランザクション作成用 Parameter
      properties:
        generateMobileInputLink:
          default: false
          description: モバイル入力を起動し、ワンタイム認証トークンを使用して特定のトランザクションに画像を取り込むためのURLを生成します
          type: boolean
        registrationParameters:
          description: トランザクションの追加登録用Parameter
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter
          maxItems: 10
          nullable: true
          type: array
        skillId:
          description: ファイルに適用する Skill のID
          minLength: 1
          type: string
        skillParameters:
          description: トランザクション向け Skill Parameter
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter
          maxItems: 10
          nullable: true
          type: array
      required:
        - skillId
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult:
      additionalProperties: false
      properties:
        isShortLink:
          description: モバイル入力リンクは、元のモバイル入力リンクを参照する短縮リンクです。
          type: boolean
        mobileInputLink:
          description: |-
            現在のトランザクション用のワンタイム認証トークンを含むモバイル入力リンクです。
            generateMobileInputLink=true の場合にこの Parameter が返されます
          nullable: true
          type: string
        transactionId:
          format: uuid
          type: string
      required:
        - transactionId
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter:
      additionalProperties: false
      description: トランザクション登録用 Parameter
      properties:
        key:
          description: Parameter のキー（名前）
          minLength: 1
          type: string
        value:
          description: Parameter の値
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter:
      additionalProperties: false
      description: トランザクション用 Skill Parameter
      properties:
        key:
          description: Parameter のキー名
          minLength: 1
          type: string
        value:
          description: Parameter の値
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````